import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFieldUpdateOperationsInputObjectSchema as IntFieldUpdateOperationsInputObjectSchema } from './IntFieldUpdateOperationsInput.schema';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  id: z.union([z.number().int(), z.lazy(() => IntFieldUpdateOperationsInputObjectSchema)]).optional(),
  data: z.union([JsonNullValueInputSchema, jsonSchema]).optional()
}).strict();
export const OfficeHoursUncheckedUpdateWithoutUserInputObjectSchema: z.ZodType<Prisma.OfficeHoursUncheckedUpdateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursUncheckedUpdateWithoutUserInput>;
export const OfficeHoursUncheckedUpdateWithoutUserInputObjectZodSchema = makeSchema();
